Chuyển đến nội dung chính
GET
/
table
/
{tableId}
/
record
/
{recordId}
cURL
curl --request GET \
  --url 'https://sheets.vn/api/table/%7BtableId%7D/record/%7BrecordId%7D?projection=SOME_ARRAY_VALUE&cellFormat=SOME_STRING_VALUE&fieldKeyType=SOME_STRING_VALUE' \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "id": "<string>",
  "fields": {},
  "name": "<string>",
  "autoNumber": 123,
  "createdTime": "<string>",
  "lastModifiedTime": "<string>",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>",
  "permissions": {},
  "undeletable": true
}

Documentation Index

Fetch the complete documentation index at: https://www.sheets.vn/docs/llms.txt

Use this file to discover all available pages before exploring further.

Ủy quyền

Authorization
string
header
bắt buộc

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Tham số đường dẫn

tableId
string
bắt buộc
recordId
string
bắt buộc

Tham số truy vấn

projection
string[]

If you want to get only some fields, pass in this parameter, otherwise all visible fields will be obtained, The parameter value depends on the specified fieldKeyType to determine whether it is name or id

cellFormat
enum<string>
mặc định:json

Define the return value formate, you can set it to text if you only need simple string value

Tùy chọn có sẵn:
json,
text
fieldKeyType
enum<string>
mặc định:name

Define the key type of record.fields[key], You can click "systemInfo" in the field edit box to get fieldId or enter the table design screen with all the field details

Tùy chọn có sẵn:
id,
name,
dbFieldName

Phản hồi

200 - application/json

Success

id
string
bắt buộc

The record id.

fields
object
bắt buộc

Objects with a fields key mapping fieldId or field name to value for that field.

name
string

primary field value

autoNumber
number

Auto number, a unique identifier for each record

createdTime
string

Created time, date ISO string (new Date().toISOString).

lastModifiedTime
string

Last modified time, date ISO string (new Date().toISOString).

createdBy
string

Created by, user name

lastModifiedBy
string

Last modified by, user name

permissions
object

Permissions for the record

undeletable
boolean

Whether the record is undeletable